# $Revision: 1.24 $, $Date: 2010/08/19 09:38:44 $
Summary:	Libsyncml - an implementation of the SyncML protocol
Summary(pl.UTF-8):	Libsyncml - implementacja protokołu SyncML
Name:		libsyncml
Version:	0.5.4
Release:	1
License:	LGPL 2.1+
Group:		Libraries
Source0:	https://downloads.sourceforge.net/project/libsyncml/libsyncml/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	b8ce1f222cccc12acdcd6807d65c1aea
URL:		http://libsyncml.opensync.org/
BuildRequires:	bluez-libs-devel
BuildRequires:	check
BuildRequires:	cmake
BuildRequires:	glib2-devel >= 1:2.12
BuildRequires:	libsoup-devel >= 2.2.91
BuildRequires:	libwbxml-devel >= 0.10.0
BuildRequires:	libxml2-devel
BuildRequires:	openobex-devel >= 1.3
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.385
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libsyncml is a implementation of the SyncML protocol.

%description -l pl.UTF-8
Libsyncml jest implementacją protokołu SyncML.

%package devel
Summary:	Header files for libsyncml library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsyncml
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libsyncml library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsyncml.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/syncml*
%attr(755,root,root) %{_libdir}/libsyncml.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsyncml.so.2

%files devel
%defattr(644,root,root,755)
%{_libdir}/libsyncml.so
%{_includedir}/libsyncml-1.0
%{_pkgconfigdir}/libsyncml-1.0.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsyncml.spec,v $
Revision 1.24  2010/08/19 09:38:44  glen
- up to 0.5.4

Revision 1.23  2009/01/29 00:38:01  glen
- release 1

Revision 1.22  2009/01/29 00:37:20  glen
-  WAP Binary XML: on

Revision 1.21  2009/01/29 00:18:46  glen
- prep update to 0.5.1

Revision 1.20  2008/10/22 19:51:31  sls
- BR: cmake, rm BR: libtool,  rel. 1

Revision 1.19  2008/10/21 20:54:15  sls
- ver. 0.4.7

Revision 1.18  2008/08/31 17:01:29  arekm
- release 2

Revision 1.17  2008-05-30 17:41:59  wolvverine
- rel.1

Revision 1.16  2008-05-26 16:24:31  shadzik
- adjusted files
- ghost symlink
- no attr() for symlinks!
- sorted BRs

Revision 1.15  2008-05-25 23:55:00  wolvverine
- -C build, NFY

Revision 1.14  2008-05-23 20:13:44  shadzik
- fix cmake call

Revision 1.13  2008-05-17 01:06:06  wolvverine
- up to 0.4.6, NFY

Revision 1.12  2008-03-13 21:14:18  arekm
- rel 3

Revision 1.11  2008-01-17 00:06:54  glen
- rel 2

Revision 1.10  2007-03-31 15:26:11  wrobell
- fixed build requirements

Revision 1.9  2007/03/28 23:16:00  wrobell
- ver. 0.4.4

Revision 1.8  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.6  2006/12/12 01:09:19  glen
- fix -devel files, rel 3

Revision 1.5  2006/10/23 21:47:48  glen
- enable all transports

Revision 1.4  2006/10/23 21:41:41  glen
- update to 0.4.1

Revision 1.3  2006/10/23 21:09:01  glen
- TODO: add more transports

Revision 1.2  2006/10/07 12:27:04  qboosh
- added -devel

Revision 1.1  2006/09/24 18:59:48  luzik
- PLD initial release
